import { ecs } from "../../../../extensions/oops-plugin-framework/assets/libs/ecs/ECS";
import { Checkpoint } from "../checkpoint/Checkpoint";
import { AccountInitComp, AccountInitSystem } from "./bll/AccountInit";
import { AccountModelComp } from "./model/AccountModelComp";

/**
 * 账号模块
 * 玩家信息设置
 */
@ecs.register('Account')
export class Account extends ecs.Entity {
    AccountModel!: AccountModelComp;

    checkpoint: Checkpoint = null!;

    protected init() {
        this.addComponents<ecs.Comp>(AccountModelComp)

    }

}

export class EcsAccountSystem extends ecs.System {
    constructor() {
        super();
        this.add(new AccountInitSystem());
    }
}